Summary: VMPinfo SOSReport plugins
Name: vmpinfo3-sosreport
Version: 1.0.0
Release: 17%{?dist}.2.2
License: GPL
Group: System Environment/Base
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: dummy.patch
Patch2: rev62.patch
Patch3: rev71.patch
Patch4: rev108.patch
Patch5: rev114.patch
Patch6: rev122.patch
Patch7: rev124.patch
Patch8: rev217.patch
Patch9: rev233.patch
Patch10: rev235.patch
Patch11: rev294.patch
Patch12: rev313.patch
Patch13: rev321.patch
Patch14: rev331.patch
Patch15: sos_compatibility.patch
Patch16: xl_commands.patch
Patch17: debug_keys.patch
Patch18: debugkey_option.patch-listvdisks.patch
# End Oracle Patches

%description
This package contains VMPinfo3 sosreport plugins.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0 -E
%patch16 -p0 -E
%patch17 -p0 -E
%patch18 -p0 -E

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}/sos/plugins
install -m 0755 ocfs2.py %{buildroot}%{python_sitelib}/sos/plugins
install -m 0755 ovm3.py %{buildroot}%{python_sitelib}/sos/plugins
mkdir -p %{buildroot}/usr/sbin
install -m 0755 vmpstat.sh %{buildroot}/usr/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{python_sitelib}/sos/plugins/ocfs2.py*
%{python_sitelib}/sos/plugins/ovm3.py*
%{_sbindir}/*
%doc LICENSE

%changelog
* Sun Dec 10 2017 Guido Tijskens <guido.tijskens@oracle.com> - 1.0.0-17.el6.2.2 
- Mmake all debug keys optional
  Signed-Off by: Philippe Vanhaesendonck
  Signed-Off by: Olif Cahpman
  Signed-Off by: Guido Tijskens [bug 27243763]  

* Fri Oct 27 2017 Guido Tijskens <guido.tijskens@oracle.com> - 1.0.0-17.el6.2.1 
- backport 26947226: Don't run D/e debug keys unless ovm3.all_debug_keys flag is specified
  Signed-Off by: Philippe Vanhaesendonck
  Signed-Off by: Guido Tijskens
  Signed-Off by: Geert Noynaert [bug 27036934]  

* Tue May 23 2017 Guido Tijskens <guido.tijskens@oracle.com> - 1.0.0-17.el6.2 
- Add xen debug-keys output and support for xl toolstack
  Signed-Off by: Philippe Vanhaesendonck
  Signed-Off by: Guido Tijskens
  Signed-Off by: Olif Chapman [bug 26116097]  

* Mon Dec 12 2016 Guido Tijskens <guido.tijskens@oracle.com> - 1.0.0-17.el6.1 
- This update fixes several sos compatibility issues as well as data collection
  issues.
  Signed-Off by: Philippe Vanhaesendonck
  Signed-Off by: Guido Tijskens [bug 25229215]  

* Thu Jan 14 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0.0-17 
- Add vmpstat
  Signed-off-by: Justin Jeffs <justin.jeffs@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Joe Jin <joe.jin@oracle.com> [bug 22542378]  

* Mon Nov 23 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0.0-16 
- fix module import
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Oct 15 2015 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-15 
- Bug 21196180 

* Thu Aug 20 2015 Carson Hovey <carson.hovey@oracle.com> - 1.0.0-14 
- Add files: /var/log/osmd.log, /etc/sysconfig/osmd
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Feb 23 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0.0-13
- Do not hardcode to use python 2.6 [bug 20586306]

* Tue Dec 09 2014 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-12
- [bug 19952640] Replaced two broken for loops vm cfg files and ethtool

* Mon Sep 09 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.0-11
- Update to python 2.6 

* Fri Aug 16 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-10 
- OVCA logs and kernel modules 

* Fri Aug 16 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-9 
- added kickstart 

* Thu Aug 08 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-8 
- added rpm query format 

* Fri Aug 02 2013 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-7 
- added new misc section 

* Tue Nov 20 2012 Julie Trask <julie.trask@oracle.com> - 1.0.0-6 
- Justin wanted http://ca-svn/svn/repos/rhel4/vmpinfo/ovm/branches/vmpinfo-3.0/sosplugin/ovm3.py@191 added to the plugins -- this commit is for him in his absence 

* Thu Aug 16 2012 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-5 
- sosreport report plugins for OVM 3.2.1 

* Wed Apr 4 2012 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-4
- Added the following
- ovs-agent-db dump_db server
- ovs-agent-db dump_db aproc
- ovs-agent-db dump_db repository
- ovs-agent-db -c dump_db server_pool
- ovs-agent-db -c dump_db server_pool_servers
- ovs-agent-db -c dump_db monitored_vms
- ntpq -pn
- pgrep ntpd
- netstat -tulpn | grep 123
- /etc/ntp.conf
- Add LICENSE

* Thu Dec 29 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-3
- Added more collections for vdisks and xm.cfg

* Wed Oct 5 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-2
- First release

* Mon Jan 9 2011 Justin Jeffs <justin.jeffs@oracle.com> - 1.0.0-1
- Added the following:
- /usr/sbin/ovs-agent-db dump_db server
- /usr/sbin/ovs-agent-db dump_db repository
- /usr/sbin/ovs-agent-db dump_db aproc
- /usr/sbin/ovs-agent-db -c dump_db server_pool
- /usr/sbin/ovs-agent-db -c dump_db server_pool_servers
- /usr/sbin/ovs-agent-db -c dump_db monitored_vms
- /etc/ovs-agent
- /etc/ovs-config
- /etc/ovs-info
- /etc/ovs-release
- ls -l -R /dlm
